$ErrorActionPreference = 'Stop'; # stop on all errors

$packageName = 'pgadmin4'
$version     = "1.2"
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'http://ftp.postgresql.org/pub/pgadmin3/pgadmin4/v1.2/windows/pgadmin4-1.2-x86.exe' # download url
$checksum    = "8391780B3BE7A4506DFF50AEBF00BBF8BF561F1548240AC4F076427F5071082F"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)

  softwareName  = 'pgAdmin 4'
  checksum      = $checksum
  checksumType  = 'sha256'
}

Install-ChocolateyPackage @packageArgs
